Initiate Connect Onboarding
curl --request POST \
--url https://api.agentpowers.ai/v1/sellers/connect \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/sellers/connect"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/sellers/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "<string>",
"connect_id": "<string>",
"onboarding_url": "<string>",
"charges_enabled": true,
"payouts_enabled": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}sellers
Initiate Connect Onboarding
Create Stripe Connect account and return onboarding URL.
POST
/
v1
/
sellers
/
connect
Initiate Connect Onboarding
curl --request POST \
--url https://api.agentpowers.ai/v1/sellers/connect \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/sellers/connect"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/sellers/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "<string>",
"connect_id": "<string>",
"onboarding_url": "<string>",
"charges_enabled": true,
"payouts_enabled": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.
Query Parameters
ISO 3166-1 alpha-2 country code
Was this page helpful?